**`Sudhakara Reddy`[NAME]** -NL- Email: **`sudhakara.lakkireddy@gmail.com`[EMAILS_EMAIL]** -NL- Mobile: **`815 501 8491`[PHONES_PHONE]** -NL- **`Executive Summary:`[SUMMARY_HEADING]** -NL-  Over 15 years of experience in Information Technology with demonstrated expertise in providing cost effective, -NL- unconstrained, integrated and optimized business solutions in Financial Services domain. -NL-  Experience in leading and executing projects end to end which includes design, development, configuration, and -NL- implementation, provision of quality assurance and production support. -NL-  Areas of Strength –Data Analysis, Data Integration, Database Development, and Data Warehousing. -NL-  Experience in building high performance batch processing applications on Hortonworks and Cloudera Data -NL- Platforms using technologies such as - Apache Hive, Apache Spark, HBase, Phoenix, Impala, Sqoop, HDFS, -NL- Oozie, Scala. -NL-  Experience in performance tuning of Apache Spark and Hive jobs. In-depth knowledge of Spark and Hive -NL- processing frame works. -NL-  Experience in developing Data Ingestion pipelines using Apache NiFi & Apache Sqoop for ingesting data into -NL- Hadoop cluster. -NL-  Experience in developing ETL jobs using Apache Spark, DataFrames, SQL, Scala API. -NL-  Experience in developing applications using Java, Spring Batch, Spring Integrations. -NL-  Experience in developing ETL workflows using Informatica PowerCenter 9.X/8.X and IDQ. Worked -NL- extensively with Informatica client tools- Designer, Repository Manager, Workflow Manager and Workflow -NL- Monitor and IDQ. -NL-  Experience in optimizing Informatica Sessions, Mappings, Transformations, Sources, and Targets. Used -NL- pushdown optimization techniques, Informatica session partitioning features to improve performance of data -NL- intensive jobs. -NL-  Experience in building and maintaining Data Warehouse application on Oracle platform. In-depth knowledge of -NL- Dimension Modeling. -NL-  Experience in developing Oracle SQL, Stored Procedures, Functions, Packages, Triggers.Experience in -NL- Oracle SQL and PL/SQL Performance Tuning. Expert knowledge of Oracle Optimizer, Joins, Indexes, Hints, -NL- Partitioning and Parallelism. -NL-  Experience with LINUX operating system, Shell scripting. In-depth knowledge of network protocols such as -NL- FTP, SSH, SCP, SFTP. -NL-  Experience in creating Ansible playbooks and running playbooks through Ansible Tower. -NL-  Experience with Elastic stack components (Elasticsearch, Logstash, Kibana, Beats) for centralized logging. -NL-  Experience in developing GraphQL API using GraphQL, Sequelize, Apollo Express Server, Openshift Container -NL- platform. -NL-  Experience with Docker and container platform Openshift. -NL- **`Experience Summary:`[OTHERS_HEADING]** -NL- Company : **`Sagarsoft Inc`[EMPLOYER_COMPANY_NAME]** -NL- Designation : **`Big Data Engineer`[EMPLOYER_ROLE]** -NL- Duration : Mar-18 to Current -NL- Company : **`Fidelity Investments`[EMPLOYER_COMPANY_NAME]** -NL- Designation : **`Lead- Software Engineer`[EMPLOYER_ROLE]** -NL- Duration : Feb-06 to Sep-17 -NL- Company : **`Oracle Financial Solutions`[EMPLOYER_COMPANY_NAME]** -NL- Designation : **`Associate Consultant`[EMPLOYER_ROLE]** -NL- Duration : Mar-05 to Feb-06 -NL- **`Education:`[EDUCATION_HEADING]** -NL- **`Bachelor’s Degree`[EDUCATION_DEGREE]** in (**`Electrical & Electronics Engineering`[EDUCATION_COURSE]**) from **`Jawaharlal Nehru Technological University`[EDUCATION_INSTITUTE]**. -NL- **`Technical Skills:`[SKILLS_HEADING]** -NL- Big Data Platforms -NL- Hortonworks, Cloudera Data Platforms -NL- Big Data Technologies -NL- Hadoop, Spark, MapReduce, Hive, Sqoop, Oozie, Impala, HDFS -NL- Database -NL- Oracle 11g (Exadata)/10g/9i, Oracle SQL, PL/SQL -NL- Programming -NL- Java, Scala -NL- Job Scheduling Tools -NL- BMC ControlM, ActiveBatch -NL- Source Code Control -NL- IBM RTC, Bitbucket -NL- Server-Side Scripting -NL- UNIX Shell Scripting -NL- Database Tools -NL- TOAD, SQL Developer, PL/SQL Developer -NL- ETL Tools -NL- Informatica PowerCenter 9.1, Informatica IDQ -NL- Development Tools -NL- Spring Tool Suite, Eclipse, IntelliJ -NL- Development Methodologies -NL- Waterfall, Agile -NL- **`Project Details:`[OTHERS_HEADING]** -NL- Client: **`Point72`[PROJECT_TITLE]** -NL- Mar 18 to Current -NL- Role : **`Big Data Engineer`[EMPLOYER_ROLE]** -NL- Responsibilities: -NL-  Develop Logical Data Warehouse on Hortonworks Data Platform using Hive, Spark SQL, Hbase, Phoenix. -NL-  Develop Hive scripts to process and reformat data raw data and load into optimized Hive tables using Parquet and -NL- ORC format. -NL-  Design Hive tables using Partitioning and Bucketing techniques to enable efficient joins and filtering of data for -NL- faster data retrieval. -NL-  Performance tune long running Hive queries using various query optimization techniques such partition predicate -NL- pushdown, parallel execution, vectorization, Map joins. -NL-  Implement security roles in Ambari and Ranger for fine grained access control to Hadoop resources. -NL-  Design and develop Spark jobs using Scala and Spark SQL to aggregate data stored in Hive datastore. -NL-  Performance tune Spark jobs by planning resources, adjusting degree of parallelism and Spark SQL query tuning. -NL-  Ingest data from Kafka into Sql Server using Apache NiFi. -NL-  Create Spark ETL jobs using Spark and Scala to Extract, Transform, Load data into SQL Server. -NL-  Develop GraphQL API to expose data stored in Sql Server using Typescript, GraphQL, Sequelize, Apollo Server, -NL- Openshift Container Platform. -NL-  Create Ansible playbooks to install and configure services on Hadoop and Elasticsearch cluster. -NL-  Install and configure filebeat/metricbeat services using Ansible in Hadoop cluster to collect and ship application -NL- logs and server metrics to Elasticsearch for centralized logging. -NL-  Create and security policies in Kibana for authorizing user access to Elasticsearch indexes. Setup -NL- filebeat/metricbeats to ship logs and visualize through kibana. -NL-  Deploy and configure Kafka cluster. Setup monitoring for Kafka using Lenses. Create security policies in Kafka -NL- cluster. Develop test scripts in scala to benchmark Kafka cluster performance. -NL-  Create and maintain code repositories in bitbucket, use Git branching strategy to promote code to different -NL- environments. -NL- Environment: Hortonworks Distributed Platform, CentOS, Hive, Spark, JAVA, Scala, Maven, Bitbucket, OpenShift, -NL- Docker, Jenkins, Elasticsearch, Logstash, Kibana, Ansible, Apache Nifi. -NL- Company: **`Fidelity Investments`[EMPLOYER_COMPANY_NAME]** -NL- Feb 06 to Sep-17 -NL- Project: **`Customer 360 View`[PROJECT_TITLE]** -NL- Role: Big Data Developer -NL- Responsibilities: -NL-  Involved in customer business requirement analysis. Performed customer sales interaction, customer assets, sales -NL- volume and market metrics data analysis. -NL-  Transform the requirements into feasible technical solution. -NL-  Developed Sqoop scripts to extract customer sales interaction, customer assets, sales volume and market metrics -NL- data from various Oracle data sources and ingest into Hadoop cluster. -NL-  Developed HQL queries to perform aggregates of SQL data. -NL-  Developed queries in Impala for end user reporting. -NL-  Developed Oozie workflows for orchestrating data ingestion using Sqoop and data processing using Hive. -NL-  Developed jobs in ControlM jobs for scheduling Big Data jobs on Hadoop platform. -NL-  Worked closely with QA team and Business Users during SIT and UAT phases to resolve defects and -NL- performance issues, and Data validation. -NL-  Created and published install and build deployment plans. Work closely with release management team during -NL- release weekends. Performed code and data validations after install. -NL-  Involved in post-production support to address any issues arising out of the production install. -NL- Environment: RedHat Linux, Cloudera Hadoop Distribution 5.3, Hive, Impala, Hue, Sqoop 1.4, Oozie, Oracle 11g, -NL- Spring Tool Suite, Maven, ControlM Enterprise Manager, IBM RTC. -NL- Project: **`Corporate Finance Reporting`[PROJECT_TITLE]** -NL- Role: Big Data Developer -NL- Responsibilities: -NL-  Involved in requirement analysis of corporate finance data feeds. Prepare technical design documents and -NL- mapping documents based on requirements. -NL-  Worked with Data Engineering teams and Architecture Team during design phase. -NL-  Developed Sqoop scripts to extract corporate finance data from oracle database and ingest into Hadoop cluster. -NL-  Involved in creating Hive tables for storing transaction data extracted from oracle. -NL-  Developed Spark SQL jobs in Scala to process data stored in Hive. -NL-  Developed Oozie workflows for scheduling Spark jobs and Sqoop jobs. -NL-  Developed ControlM jobs for running Oozie workflows on Hadoop platform. -NL-  Worked closely with QA team and Business Users during SIT and UAT phases to resolve defects and -NL- performance issues, and Data validation. -NL-  Created and published install and build deployment plans. Work closely with release management team during -NL- release weekends. Performed code and data validations after install. -NL-  Involved in post-production support to address any issues arising out of the production install. -NL- Environment: RedHat Linux, Cloudera Hadoop Distribution 5.8, Hive, Impala, Hue, Sqoop 1.4, Spark 2.0, Oozie, Oracle -NL- 11g, Spring Tool Suite, Maven, ControlM Enterprise Manager, IBM RTC. -NL- Project: **`Web Analytics Reporting`[PROJECT_TITLE]** -NL- Role: Big Data Developer -NL- Responsibilities: -NL-  Involved in customer requirement analysis. Performed analysis to web click data generated by Fidelity customer -NL- facing applications. -NL-  Developed jobs to collect and inject the web click data feeds from webservers into Hadoop cluster using NFS -NL- gateways. -NL-  Developed programs in Apache Spark using Scala API to aggregate, transform, filter bots traffic in web click -NL- data. -NL-  Developed Spark programs to integrate web click data sourced from web servers with customer transaction data -NL- in RDBMS system. -NL-  Developed Sqoop scripts extract customer profile and transaction data from Oracle into Hadoop cluster. -NL-  Developed ControlM jobs in schedule spark jobs on Cloudera platform. -NL-  Work closely with QA team and Business Users during SIT and UAT phases to resolve defects and performance -NL- issues, and Data validation. -NL-  Created and published install and build deployment plans. Work closely with release management team during -NL- release weekends. Performed code and data validations after install. -NL-  Involved in post-production support to address any issues arising out of the production install. -NL- Environment: RedHat Linux, Cloudera Hadoop Distribution 5.3, Apache Spark 1.6.2, Scala 2.10, Impala, Sqoop, HUE, -NL- Oozie, Oracle 11g, Spring Tool Suite, Maven, ControlM Enterprise Manager, IBM RTC. -NL- Project: **`Fund Intraday Pricing & Performance`[PROJECT_TITLE]** -NL- Role: Technical Lead -NL- Responsibilities: -NL-  Worked with Business users to gather requirements. Worked closely with Project Management Team for size, -NL- timeline, and operational cost estimation. -NL-  Performed Data Analysis and Collaborated with data engineering team to create Data Models in Oracle. -NL-  Developed data flow reference diagrams and technical design documents for project development. -NL-  Developed technical solutions using Java Spring batch and Spring Integration, Oracle SQL and PL/SQL to -NL- process intraday fund pricing and performance data coming from vendor source systems. -NL-  Developed Informatica workflows to extract Fund Pricing data from OLTP database and load into Data -NL- Warehouse. -NL-  Performance tuned Oracle SQL/PLSQL and Informatica workflow jobs running long in production. -NL-  Developed ControlM jobs for scheduling and running spring batch jobs on LINUX platform. -NL-  Work closely with QA team and Business Users during SIT and UAT phases to resolve defects and performance -NL- issues. -NL-  Created and published install and build deployment plans. Work closely with release management team during -NL- release weekends. Performed code and data validations after install. -NL-  Involved in post-production support to address any issues arising out of the production install. -NL- Environment: RedHat Linux, Java Spring Framework 4.0, Java 1.8, Oracle 11g, SQL Developer, Spring Tool Suite, IBM -NL- RTC, Maven, ControlM Enterprise Manager. -NL- 